Eddy current correction

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Eddy current correction

melanogaster
Hello,

is there a way to perform an eddy current correction on dwi data in Slicer 3.6.1? Searching the mailing list was not helpful so far.

Thanks in advance,

Frank
Reply | Threaded
Open this post in threaded view
|

Re: Eddy current correction

Demian Wassermann-2
Hello Frank,


There is a way, you need to download the GTRACT extension (you can get it from the menu View->Extension Manager)

Once you have it you will see a new module category under the diffusion one called "GTRACT".

Within this category there is a module called "Coregister B-values"

This module takes a DWI image and outputs a DWI image in which every DWI is co-registered to one of the B0 images (by default the first one), this can be regarded as motion correction. Within this module there is a checkbox in the "Registration Parameters" section: "Eddy Current Correction". This will tune some of the registration parameters such that some Eddy Current artifacts are corrected.

Hope that helps

Demian


---
Demian Wassermann, PhD
[hidden email]
LMI / PNL / SPL Labs
Harvard Medical School
Brigham and Women's Hospital
1249 Boylston, Boston, MA, USA

On Mar 23, 2011, at 5:14 PM, [hidden email] wrote:

>
> ------Original Message------
> From: melanogaster
> Sender: [hidden email]
> To: [hidden email]
> Subject: [slicer-users] Eddy current correction
> Sent: Mar 23, 2011 4:57 PM
>
> Hello,
>
> is there a way to perform an eddy current correction on dwi data in Slicer
> 3.6.1? Searching the mailing list was not helpful so far.
>
> Thanks in advance,
>
> Frank
>
> --
> View this message in context: http://slicer-users.65878.n3.nabble.com/Eddy-current-correction-tp2722211p2722211.html
> Sent from the slicer-users mailing list archive at Nabble.com.
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to [hidden email] with unsubscribe as the subject
>
> Sent via BlackBerry by AT&T

_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Eddy current correction

melanogaster
Hello Demian,

thank you for pointing me to GTRACT. I'll give a try after i switched to Windows because there seems to be no version for MAC OSX.
Also, in the wiki a version 4.0 is mentioned but for download there are only 3.0 versions available.

Would you recommend to follow the GTRACT pipeline instead of the default Slicer diffusion modules?

Frank
Reply | Threaded
Open this post in threaded view
|

Re: Eddy current correction

Demian Wassermann-2
Hello Frank,

The GTRACT modules should be up and running for MacOSX, I'll check it today.

About the Wiki, which wiki are you talking about GTRACT or Slicer?

Mmmm, what do you mean by the GTRACT pipeline, exactly?

D

--
Demian Wassermann, PhD
[hidden email]
LMI / PNL / SPL Labs
Harvard Medical School
Brigham and Women's Hospital
1249 Boylston, Boston, MA, USA

On Mar 24, 2011, at 6:41 AM, melanogaster wrote:

> Hello Demian,
>
> thank you for pointing me to GTRACT. I'll give a try after i switched to
> Windows because there seems to be no version for MAC OSX.
> Also, in the wiki a version 4.0 is mentioned but for download there are only
> 3.0 versions available.
>
> Would you recommend to follow the GTRACT pipeline instead of the default
> Slicer diffusion modules?
>
> Frank
>
> --
> View this message in context: http://slicer-users.65878.n3.nabble.com/Eddy-current-correction-tp2722211p2724677.html
> Sent from the slicer-users mailing list archive at Nabble.com.
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to [hidden email] with unsubscribe as the subject

_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Eddy current correction

Demian Wassermann-2
Hello again Frank,

I have added the GTRACT extension to the  stable version but it will take some time (maybe a day) for the next building cycle for extensions to build it.

What version of slicer are you using? (Snapshot, Stable, Nightly build?)

Demian

--
Demian Wassermann, PhD
[hidden email]
LMI / PNL / SPL Labs
Harvard Medical School
Brigham and Women's Hospital
1249 Boylston, Boston, MA, USA

On Mar 24, 2011, at 11:21 AM, Demian Wassermann wrote:

> Hello Frank,
>
> The GTRACT modules should be up and running for MacOSX, I'll check it today.
>
> About the Wiki, which wiki are you talking about GTRACT or Slicer?
>
> Mmmm, what do you mean by the GTRACT pipeline, exactly?
>
> D
>
> --
> Demian Wassermann, PhD
> [hidden email]
> LMI / PNL / SPL Labs
> Harvard Medical School
> Brigham and Women's Hospital
> 1249 Boylston, Boston, MA, USA
>
> On Mar 24, 2011, at 6:41 AM, melanogaster wrote:
>
>> Hello Demian,
>>
>> thank you for pointing me to GTRACT. I'll give a try after i switched to
>> Windows because there seems to be no version for MAC OSX.
>> Also, in the wiki a version 4.0 is mentioned but for download there are only
>> 3.0 versions available.
>>
>> Would you recommend to follow the GTRACT pipeline instead of the default
>> Slicer diffusion modules?
>>
>> Frank
>>
>> --
>> View this message in context: http://slicer-users.65878.n3.nabble.com/Eddy-current-correction-tp2722211p2724677.html
>> Sent from the slicer-users mailing list archive at Nabble.com.
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to [hidden email] with unsubscribe as the subject
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to [hidden email] with unsubscribe as the subject

_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Eddy current correction

melanogaster
Hello again Demian,

First: Sitting behind a firewall i'm not able to use the Extension Manager for both PC and MAC. I have found no way to tell Slicer about my firewall settings.

Second: http://wiki.slicer.org/slicerWiki/index.php/GTRACT_V4#GTRACT_Programs refers to version 4.0
        This one https://mri.radiology.uiowa.edu/mediawiki/index.php/GTRACT_Software_-_Version_3 refers to version 3.0
        and this one http://www.nitrc.org/projects/vmagnotta/ leads me to downloadable versions of GTRACT 3.0 for Win and Linux

Although i'm not able to use the functionality of the Extension Manager in Slicer, i nevertheless can access the directory which is shown in the Extension Manager via a browser. But in both http://ext.slicer.org/ext/Slicer-3-6/16157-darwin-x86/ and http://ext.slicer.org/ext/Slicer-3-6/16156-win32 respectively i did not found anything like GTRACT.

So i got GTRACT 3.0 from the source above but don't know where to put it.

And to answer your last message i use 3D Slicer Version 3.6.3 1.0 (3D Slicer Version 3.6.31.0) for PC and MAC (stable releases).

Frank
Reply | Threaded
Open this post in threaded view
|

Re: Eddy current correction

Demian Wassermann-2
Hello again,

If you ca get to
> http://ext.slicer.org/ext/Slicer-3-6

I would advice to wait a bit, until the next version of the modules gets compiled (it should be soon), and it should be


> http://ext.slicer.org/ext/Slicer-3-6/16238-darwin-x86 

(or a number larger than 16238)

Then you can get the GTRACT zip and uncompress it under <Slicer3-main-binary-folder>/lib/Slicer3/Plugins

The thing is that in waiting for the extension to be compiled you ensure that the libraries and compiler version used to compile GTRACT are the same as slicer, in any other case, things may fail because of that

Hope it helps
D


--
Demian Wassermann, PhD
[hidden email]
LMI / PNL / SPL Labs
Harvard Medical School
Brigham and Women's Hospital
1249 Boylston, Boston, MA, USA

On Mar 24, 2011, at 12:02 PM, melanogaster wrote:

> Hello again Demian,
>
> First: Sitting behind a firewall i'm not able to use the Extension Manager
> for both PC and MAC. I have found no way to tell Slicer about my firewall
> settings.
>
> Second:
> http://wiki.slicer.org/slicerWiki/index.php/GTRACT_V4#GTRACT_Programs refers
> to version 4.0
> This one
> https://mri.radiology.uiowa.edu/mediawiki/index.php/GTRACT_Software_-_Version_3
> refers to version 3.0
> and this one http://www.nitrc.org/projects/vmagnotta/ leads me to
> downloadable versions of GTRACT 3.0 for Win and Linux
>
> Although i'm not able to use the functionality of the Extension Manager in
> Slicer, i nevertheless can access the directory which is shown in the
> Extension Manager via a browser. But in both
> http://ext.slicer.org/ext/Slicer-3-6/16157-darwin-x86/ and
> http://ext.slicer.org/ext/Slicer-3-6/16156-win32 respectively i did not
> found anything like GTRACT.
>
> So i got GTRACT 3.0 from the source above but don't know where to put it.
>
> And to answer your last message i use 3D Slicer Version 3.6.3 1.0 (3D Slicer
> Version 3.6.31.0) for PC and MAC (stable releases).
>
> Frank
>
> --
> View this message in context: http://slicer-users.65878.n3.nabble.com/Eddy-current-correction-tp2722211p2725794.html
> Sent from the slicer-users mailing list archive at Nabble.com.
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to [hidden email] with unsubscribe as the subject

_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Eddy current correction

inorton
In reply to this post by melanogaster
If you are comfortable with the command-line, another option is teem:

http://www.na-mic.org/Wiki/index.php/NAMIC_Wiki:DTI:TeemExamples#tend_epireg:_fixing_eddy-current_distortion

the tend & unu binaries are in Slicer3-3.6###/bin/tend.exe and unu.exe

-Isaiah

On Wed, Mar 23, 2011 at 4:57 PM, melanogaster <[hidden email]> wrote:
Hello,

is there a way to perform an eddy current correction on dwi data in Slicer
3.6.1? Searching the mailing list was not helpful so far.

Thanks in advance,

Frank

--
View this message in context: http://slicer-users.65878.n3.nabble.com/Eddy-current-correction-tp2722211p2722211.html
Sent from the slicer-users mailing list archive at Nabble.com.
_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject